# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/05_qc_pipeline.ipynb.

# %% auto 0
__all__ = ['cli']

# %% ../nbs/05_qc_pipeline.ipynb 2
import os
import re
from . import core, helpers, run_bifrostecolipostkma, run_qcecolisummary

# %% ../nbs/05_qc_pipeline.ipynb 4
# add into settings.ini, requirements, package name is fastcore, for conda build ensure `conda config --add channels fastai`
from fastcore.script import call_parse
import os


@call_parse
def cli(
    config_file1=None,  # Config file to check raw data vs demux
    config_file2=None,  # Config file to check demux vs qc
) -> None:
    """
    Takes associated config files and runs full QC pipeline which is check for runs not demuxed, demultiplexes them, then runs QC on them
    """
    run_bifrostecolipostkma.cli(
        config_file=config_file1
    )  # Run samples against ecoligenesdb using kma
    run_qcecolisummary.cli(config_file=config_file2)  # Summarize results
